program setpass;
uses
  krScramDisk,
  krSdStructures,
  SysUtils;

{$APPTYPE CONSOLE}

var
  ClearPass:boolean;

begin
  clearpass:=false;
  if paramstr(1) = '/clear' then
    clearpass:=true;
  if (paramstr(1)='/?')or(paramcount = 0) or (paramcount >4) or ((clearpass) and (paramcount >1)) then
  begin
    writeln('ScramDisk - Set Password');
    writeln('');
    writeln('setpass [password1 [password2 [password3 [password4]]]] | [/clear]');
    writeln('');
    writeln('  [passwordx]  the password(s)');
    writeln('  [/clear]     specifies that the password buffer is to be cleared');
    writeln('');
    writeln('Example: setpass "test password line1" "Line 2"');
    writeln('');
  end
  else
    with TkrScramDisk.Create(nil) do
      try
        Active:=True;
        if clearpass then
          ClearPasswords
        else
          setPasswords(paramstr(1),paramstr(2),paramstr(3),paramstr(4));
        UpdateSlotInfo;
      finally
        Free;
      end;
end.
